If you need to use a different PHP version other than the out-of-the-box supported versions than follow instructions below.

Example written for PHP5.4

  php54:
    build: build/custom/php54
    volumes:
      - ./workspace:/data
    links:
      - db
      - mailcatch
    network_mode: bridge
  web:
    build: build/custom/web
    links:
      - php54:fpm54

Configuration finished, whoop

If you have a succesful build for a new PHP version 7.3 for instance. Tell us and create a PR on https://github.com/JeroenBoersma/docker-php And a PR here to update the docker-compose.yml/docs/nginx